image: theasp/clojurescript-nodejs:shadow-cljs

pages:
  stage: deploy
  script:
    - npm install
    - npx shadow-cljs compile pages
    - cp -r out public
  artifacts:
    paths:
      - public
  only:
    - master
